@mixin custom-min-width($screen) {
  @media (min-width: ($screen + 'px')) {
    @content;
  }
}

@mixin custom-max-width($screen) {
  @media (max-width: ($screen + 'px')) {
    @content;
  }
}

@mixin scrollbar($scrollbar-width, $thumb-color, $track-color) {
  &::-webkit-scrollbar {
    width: $scrollbar-width;
    height: $scrollbar-width;
  }

  &::-webkit-scrollbar-track {
    background-color: $track-color;
    border-radius: 50px;
  }

  &::-webkit-scrollbar-thumb {
    background-color: $thumb-color;
    border-radius: 50px;
  }

  // firefox
  & {
    @if ($scrollbar-width == 0) {
      scrollbar-width: none;
    } @else if ($scrollbar-width < 19) {
      scrollbar-width: thin;
    } @else {
      scrollbar-width: auto;
    }
    scrollbar-color: $thumb-color $track-color;
  }

  // For Internet Explorer
  scrollbar-face-color: $thumb-color;
  scrollbar-track-color: $track-color;
}

@keyframes animateTransactions {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@mixin changeFilter {
  &.change {
    animation: animateTransactions 0.4s ease-in-out both;
  }
}

@mixin paddingPage {
  padding-top: 32px;
  padding-bottom: 20px;

  @include custom-min-width($md) {
    padding-bottom: 30px;
  }

  @include custom-min-width($lg) {
    padding-bottom: 54px;
  }

  @include custom-min-width($xl) {
    padding-top: 72px;
    padding-bottom: 32px;
  }
}

@mixin container {
  padding-inline: 24px;

  @include custom-min-width($md) {
    padding-inline: 34px;
  }

  @include custom-min-width($lg) {
    padding-inline: 16px;
  }

  @include custom-min-width($xl) {
    max-width: 1400px;
    padding-inline: 0;
    margin: 0 auto;
  }
}
